%define name	fastresolve
%define version 2.10
%define release	3mdk

Name: 		%{name}
Summary: 	A fast logfile IP address resolver and related utilities.
Version:	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Monitoring
Source0: 	%{name}-%{version}.tar.bz2
Patch0:		fastresolve-2.10-db41.diff.bz2
URL: 		http://www.djmnet.org/sw/fastresolve/
BuildRequires:	db4-devel
#BuildRequires:	libdbcxx4.0
BuildRequires:	libadns-devel
BuildRequires:	zlib-devel
BuildRequires:	libstdc++-devel
Requires: 	analog
#Requires: 	libadns1
#Requires: 	libdb4.0
#Requires: 	libdbcxx4.0
#Requires: 	libstdc++5
#Requires: 	libgcc1
#Requires: 	perl
#Requires: 	perl-BerkeleyDB
Buildroot: 	%{_tmppath}/%{name}-%{version}-root

%description
Fastresolve is a package of programs to process web log files to
get DNS and domain ownership information for log analysis. It
sends out many queries in parallel, and caches results, for speed.
Its DNS resolver is about 10 times as fast as logresolve.pl from
the Apache 1.3.9 distribution, and about 50 times as fast as
logresolve.c from that distribution. It is 5-20 times as fast as
the adnslogres program that comes with the adns library, and about
3 times as fast as jdresolve, which is a Perl program that uses
similar algorithms.

%prep

%setup -q
%patch0 -p1

%build
export WANT_AUTOCONF_2_5=1
libtoolize --copy --force; aclocal; autoconf

%configure2_5x

%make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1
install -d %{buildroot}%{_datadir}/fastresolve

%makeinstall

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS NEWS README doc/TODO doc/timings
%{_datadir}/fastresolve/
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Fri May 14 2004 Michael Scherer <misc@mandrake.org> 2.10-3mdk
- fix BuildRequires and Requires 
- fix [DIRM]

* Sat Nov 15 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.10-2mdk
- added P0 (mostly from FreeBSD ports)
- fix invalid-build-requires
- fix explicit-lib-dependency

* Tue May 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.10-1mdk
- initial cooker contrib
